#### Previous topic

scipy.stats.jarque_bera

#### Next topic

scipy.stats.bartlett

# scipy.stats.ansari

`scipy.stats.``ansari`(x, y)

  Perform the Ansari-Bradley test for equal scale parameters

  The Ansari-Bradley test is a non-parametric test for the equality of the scale parameter of the distributions from which two samples were drawn.

  Parameters:

  x, y : array_like

  > arrays of sample data

  Returns:

  statistic : float

  > The Ansari-Bradley test statistic

  pvalue : float

  > The p-value of the hypothesis test

  See also

  `fligner`
    A non-parametric test for the equality of k variances
  `mood`
    A non-parametric test for the equality of two scale parameters

  Notes

  The p-value given is exact when the sample sizes are both less than 55 and there are no ties, otherwise a normal approximation for the p-value is used.

  References

  [R527] | Sprent, Peter and N.C. Smeeton. Applied nonparametric statistical methods. 3rd ed. Chapman and Hall/CRC. 2001. Section 5.8.2.